<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0-windows7</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <RootNamespace>SM64_ROM_Manager.LangRes_Collector</RootNamespace>
    <StartupObject>SM64_ROM_Manager.LangRes_Collector.Program</StartupObject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="FastColoredTextBox.Net5" Version="2.16.26" />
    <PackageReference Include="Microsoft-WindowsAPICodePack-Shell" Version="1.1.4" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="DevComponents.Charts.Design">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.Charts.Design.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Charts">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Charts.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Design">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Design.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Keyboard">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Keyboard.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Layout">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Layout.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Layout.Design">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Layout.Design.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.Schedule">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.Schedule.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar.SuperGrid">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar.SuperGrid.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.DotNetBar2">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.DotNetBar2.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.Instrumentation">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.Instrumentation.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.Instrumentation.Design">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.Instrumentation.Design.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.SuperGrid.Design">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.SuperGrid.Design.dll</HintPath>
    </Reference>
    <Reference Include="DevComponents.TreeGX">
      <HintPath>..\Shared Libs\DotNetBarNew\DevComponents.TreeGX.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
